﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Jui.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    瀚华小额贷款管理系统 - 贷款信息
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <%//Html.RenderPartial("~/Views/Shared/Menu.ascx", 1); %>
    <div id="layout" class="noNavTab page">
        <div id="navTab">
            <h2 class="contentTitle">
                贷款信息列表</h2>
            <div class="pageHeader">
                <!--conditions-->
                <div class="searchBar">
                    <table class="searchContent" border="0">
                        <tbody>
                            <tr>
                                <td width="80" style="text-align: right; padding-right: 5px; display: none;">
                                    <span>订单类型：</span>
                                </td>
                                <td width="80" style="display: none;">
                                    <select id="ddlType" name="ddlType">
                                        <option value="Personal">个人订单</option>
                                        <option value="Corporation">企业订单</option>
                                    </select>
                                </td>
                                <td width="80" style="text-align: right; padding-right: 5px">
                                    <span>客户名称：</span>
                                </td>
                                <td width="80">
                                    <input id="txtName" name="txtName" />
                                </td>
                                <td width="80" style="text-align: right; padding-right: 5px">
                                    <span>身份证号：</span>
                                </td>
                                <td width="80">
                                    <input id="txtIdCard" name="txtIdCard" />
                                </td>
                                <td width="80" style="text-align: right; padding-right: 5px">
                                    <span>手机号：</span>
                                </td>
                                <td width="80">
                                    <input id="txtPhone" name="txtPhone" />
                                </td>
                            </tr>
                            <tr>
                                <td width="80" style="text-align: right; padding-right: 5px">
                                    <span>业务ID：</span>
                                </td>
                                <td width="80">
                                    <input id="txtBusinessId" name="txtBusinessId" />
                                </td>
                                <td style="text-align: right; padding-right: 5px">
                                    放款日期：
                                </td>
                                <td colspan="3">
                                    <input type="text" class="date" id="txtDateFrom" name="txtDateFrom" format="yyyy-MM-dd"
                                        style="width: 120px" readonly="readonly" />
                                    &nbsp;至&nbsp;<input type="text" class="date" id="txtDateTo" name="txtDateTo" format="yyyy-MM-dd"
                                        style="width: 120px" readonly="readonly" />&nbsp;
                                    <input type="button" value="查询" onclick="loadList()" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="pageContent">
                    <!--加载列表-->
                    <div id="listDt">
                    </div>
                    <div style="height: 8px; clear: both;">
                    </div>
                </div>
            </div>
        </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="/content/jui-normal.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="/Scripts/pager.js"></script>
    <script language="javascript" type="text/javascript">
        $(function () {
            loadList();
        });

        function loadList() {
            //var typ = $("#ddlType").val();
            var htmlname = "listDt";
            $("#" + htmlname).load(
            "/LoanInfo/GetList",
            {
                name: $("#txtName").val(),
                idcard: $("#txtIdCard").val(),
                phone: $("#txtPhone").val(),
                bId: $("#txtBusinessId").val(),
                dateFrom: $("#txtDateFrom").val(),
                dateTo: $("#txtDateTo").val(),
                pageindex: pIndex,
                pagesize: pSize
            },
            function () {
                $("table.table", $("#" + htmlname)).jTable();
            });
        }
    </script>
</asp:Content>
