﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PagedResult<DataSet>>" %>
 <script type="text/javascript">
     $(function () {
         DWZ.init("/content/jui/dwz.frag.xml", {
             callback: function () {
                 initEnv();
                 $("#themeList").theme({ themeBase: "/content/jui/themes" });
             }
         });
     });
    </script>
<div id="nlt2" style="display: block;">
    <div class="list_table">
        <table class="list" width="100%" border="0" cellspacing="1" bgcolor="#d2d2d2">
            <thead>
                <tr>
                    <th style="display:none;">
                        选择
                    </th>
                    <th>
                        订单号
                    </th>
                    <th>
                        公司名称/所有者姓名
                    </th>
                    <th>
                        联系方式
                    </th>
                    <th>
                        申请时间
                    </th>
                    <th>
                        状态
                    </th>
                    <th>
                        处理人
                    </th>
                    <th>
                        处理时间
                    </th>
                </tr>
            </thead>
            <tbody>
                <% 
                    DataTable dt = Model.Result.Tables[0];
                    foreach (System.Data.DataRow d in dt.Rows)
                    {
                        string url = "/Island/List/";
                        string delete = "/OperateTotal/Delete";
                        delete += "?ids=" + d["Id"];
                        delete += "&name=" + Library.Common.DencryptHelper.Encrypt("Island_Info");
                        delete += "&url=" + url;
                %>
                <tr>
                    <td style="display:none;">
                        <%: Html.RadioButton("rdoCheckC", d["order_id"])%>
                    </td>
                    <td>
                        <a href="/order/detail_corporation?id=<%:d["order_id"] %>" target="dialog" mask="true"
                            width="800" height="480">
                            <%:d["order_id"]%></a>
                    </td>
                    <td>
                        <%:d["corporation_name"]%>
                    </td>
                    <td>
                        <%:d["contact_phone"]%>
                    </td>
                    <td>
                        <%:d["CreateDate"]%>
                    </td>
                    <td>
                        <%:d["status"].ToString() == "已处理"? Html.Raw("<font color=green>已处理</font>"):d["status"]%>
                    </td>
                    <td>
                        <%:d["UpdateUserName"]%>
                    </td>
                    <td>
                        <%:d["UpdateDate"]%>
                    </td>
                </tr>
                <%} %>
            </tbody>
        </table>
        <!--分页-->
        <div class="panelBar page">
            <% Html.RenderPartial("~/Views/Shared/ListPager.ascx", Model); %></div>
    </div>
</div>
<script type="text/javascript">
    $("#chkAll").click(function () {
        if ($("#chkAll").attr("checked") == true) {
            $("[type='checkbox']").attr("checked", true);
        }
        else {
            $("[type='checkbox']").attr("checked", false);
        }
    });
    $("input[name=rdoCheckC]").change(function () {
        $("#detailContent").load(
        "/order/GetDetailCorporation",
        { id: $("input[name=rdoCheckC]:checked").val() },
        function () {
            $("table.table", $("#detailContent")).jTable();
        })
    });
</script>
