﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PagedResult<DataSet>>" %>
<div id="listDt">
    <table class="list" width="100%">
        <thead>
            <tr>
                <th width="22">
                    <input type="checkbox" group="ids" class="checkboxCtrl" />
                </th>
                <th>
                    Ip地址起始
                </th>
                <th>
                    Ip地址结束
                </th>
                <th>
                    城市名称
                </th>
                <th>
                    MNO
                </th>
                <th>
                    IP数字起始
                </th>
                <th>
                    IP数字结束
                </th>
                <th>
                    站点
                </th>
            </tr>
        </thead>
        <tbody>
            <% 
                Dictionary<string, string> dic = Yeex.Boss.BLL.Sys.SetIpRouteSites.GetWebSiteDic();
                foreach (DataRow dr in Model.Result.Tables[0].Rows)
                {                  
            %>
            <tr>
                <td>
                    <input name="ids" value='<%= dr["Id"] %>' type="checkbox" />
                </td>
                <td>
                    <%=dr["IpAddressStart"]%>
                </td>
                <td>
                    <%=dr["IpAddressEnd"]%>
                </td>
                <td>
                    <%=dr["CityName"]%>
                </td>
                <td>
                    <%=dr["MNO"]%>
                </td>
                <td>
                    <%=dr["IpNumStart"]%>
                </td>
                <td>
                    <%=dr["IpNumEnd"]%>
                </td>
                <td>
                    <%=dic[dr["WebSiteId"].ToString()]%>
                </td>
            </tr>
            <% } %>
        </tbody>
    </table>
</div>
<div class="panelBar">
    <% Html.RenderPartial("~/Views/Shared/ListPager.ascx", Model); %>
</div>
