﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PagedResult<DataSet>>" %>
<table class="table" width="100%">
    <thead>
        <tr>
            <th width="22">
                <input type="checkbox" group="ids" class="checkboxCtrl" />
            </th>
            <th>
                状态
            </th>
            <th>
                功能名称
            </th>
            <th>
                有权限
            </th>
            <th>
                操作
            </th>
        </tr>
    </thead>
    <tbody>
        <% 
            System.Data.DataTable dt = Model.Result.Tables[0];
            foreach (System.Data.DataRow d in dt.Rows)
            {
                %>
            <tr>
                <td>
                    <input name="ids" value='<%:d["id"]%>' type="checkbox" />
                </td>
                <td><%=Convert.ToBoolean(d["isvalid"]) ? "启用" : "<font color=red>禁用</font>"%></td>
                <td>
                    <%=SelectTableBLL.getNameById("id", d["functionid"].ToString(), "Sys_IBFunctions", "Name")%>
                </td>
                <td>
                    <%=Convert.ToBoolean(d["hasright"]) ? "有" : "<font color=red>无</font>"%>
                </td>
                <td>
                    <%:d["operatelevel"]%>
                </td>
            </tr>
            
        <%} %>
    </tbody>
</table>
<!--分页-->
<div class="panelBar">
    <% Html.RenderPartial("~/Views/Shared/ListPager.ascx", Model); %>
</div>
