﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/jui.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    部门
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="layout" class="noNavTab">
        <div id="navTab">
            <h2 class="contentTitle">
                部门</h2>
            <%
                string url = "/sysManage/list_2";
                using (Html.BeginAddForm(Database.Default, "Sys_IBDepartments", url))
                {   
            %>
            <div class="pageFormContent nowrap">
                <input type="hidden" name="t0_ParentId" value='0' />
                <dl>
                    <dt>部门全称：</dt>
                    <dd>
                        <%:Html.TextBox("t0_fullName", "", new { @class = "required textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>部门简称：</dt>
                    <dd>
                        <%:Html.TextBox("t0_Name", "", new { @class = "required textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>所属公司：</dt>
                    <dd>
                        <select class="combox " name="t0_pid">
                                <%Html.RenderPartial("~/Views/Shared/selectControl.ascx", sysManageBLL.get_fCompany()); %>
                        </select>
                    </dd>
                </dl>
                <dl>
                    <dt>部门编码：</dt>
                    <dd>
                        <%:Html.TextBox("t0_No", "", new { @class = "required textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>部门经理：</dt>
                    <dd>
                        <%:Html.TextBox("t0_principal", "", new { @class = "required textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>负责人手机：</dt>
                    <dd>
                        <%:Html.TextBox("t0_MobileNo", "", new { @class = "required textInput", maxlength = "50" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>部门状态：</dt>
                    <dd>
                        <label>
                        <input id="Radio1" name='t0_state' value='0' checked="checked" type="radio" />暂停
                        </label>
                        <label><input id="Radio2" name='t0_state' value='1' type="radio" />正常</label>
                    </dd>
                </dl>

                <dl>
                    <dt>部门电话：</dt>
                    <dd>区号-号码-分机号</dd>
                    <dd>
                        <%:Html.TextBox("t0_TelArea", "", new { @class = "digits  textInput", maxlength = "25" })%>
                        <%:Html.TextBox("t0_Tel", "", new { @class = " textInput", maxlength = "50" })%>
                        <%:Html.TextBox("t0_TelExt", "", new { @class = "digits  textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                
                <dl>
                    <dt>部门传真：</dt>
                    <dd>区号-号码-分机号</dd>
                    <dd>
                        <%:Html.TextBox("t0_FaxArea", "", new { @class = "digits  textInput", maxlength = "25" })%>
                        <%:Html.TextBox("t0_Fax", "", new { @class = " textInput", maxlength = "50" })%>
                        <%:Html.TextBox("t0_FaxExt", "", new { @class = "digits  textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>部门网址：</dt>
                    <dd>
                        <%:Html.TextBox("t0_Url", "", new { @class = " textInput", size = 50, maxlength = "50" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>部门介绍：</dt>
                    <dd>
                        <%:Html.TextArea("t0_Description", new { rows = "5", cols = "40", maxlength = "500" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>备注信息：</dt>
                    <dd>
                        <%:Html.TextArea("t0_remark", new { rows = "5", cols = "40", maxlength = "500" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>部门照片：</dt>
                    <dd>
                        <a class="button" href="#" id="btnUpload"><span>上传图片</span></a>
                            <%:Html.Hidden("t0_logo", "", new { @class = " textInput" })%>
                            <span id="showFileName"></span>
                    </dd>
                </dl>
                <dl>
                    <dt>&nbsp</dt>
                    <dd>
                        <div class="buttonActive">
                                <div class="buttonContent">
                                    <button type="submit">
                                        添加</button></div>
                            </div>
                    </dd>
                    <dd><a class="button" href='<%:url %>'><span>返回</span></a></dd>
                </dl>
            </div>
            <%} %>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../content/jui-normal.css" rel="stylesheet" type="text/css" />
    <link href="/content/colorbox.css" rel="stylesheet" type="text/css" />
    <script src="/scripts/jquery.colorbox.js" type="text/javascript"></script>
    <script type="text/javascript" src="/scripts/jquery.autocomplete.min.js"></script>
    <script src="../../../Scripts/common.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            createUpload('btnUpload', 't0_logo', 'Dest_Img_Max_1', function () { showUploadImg($('#t0_logo'), $('#showFileName'), '') });
        });
    </script>
</asp:Content>
