﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PagedResult<DataSet>>" %>
<div id="nlt2">
    <div class="list_table">
        <table class="list" width="100%" border="0" cellspacing="1" bgcolor="#d2d2d2">
            <thead>
                <tr>
                    <th width="27">
                        <input type="checkbox" id="chkAll" />                        
                    </th>
                    <th width="45">
                        状态
                    </th>
                    <th>
                        ID
                    </th>
                    <th>
                        电话号码
                    </th>
                    <th>
                        添加时间
                    </th>
                </tr>
            </thead>
            <tbody>
                <% 
                    DataTable dt = Model.Result.Tables[0];
                    foreach (System.Data.DataRow d in dt.Rows)
                    {
                        string url = "/BlackList/List/";
                        string delete = "/OperateTotal/Delete";
                        delete += "?ids=" + d["Id"];
                        delete += "&name=" + Library.Common.DencryptHelper.Encrypt("BlackList");
                        delete += "&url=" + url;
                %>
                <tr>
                    <td>
                        <input name="ids" value="<%:d["Id"] %>" type="checkbox" />
                    </td>
                    <td>
                        <%:d["status"]%>
                    </td>
                    <td>
                        <%:d["id"]%>
                    </td>
                    <td>
                        <%:d["phone"]%>
                    </td>
                    <td>
                        <%:d["CreateDate"]%>
                    </td>
                </tr>
                <%} %>
            </tbody>
        </table>
        <!--分页-->
        <div class="panelBar page">
            <% Html.RenderPartial("~/Views/Shared/ListPager.ascx", Model); %></div>
    </div>
</div>
<script type="text/javascript">
    $("#chkAll").click(function () {
        if ($("#chkAll").attr("checked") == true) {
            $("[type='checkbox']").attr("checked", true);
        }
        else {
            $("[type='checkbox']").attr("checked", false);
        }
    });
</script>