﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PagedResult<DataSet>>" %>
<script type="text/javascript">
    $(function () {
        DWZ.init("/content/jui/dwz.frag.xml", {
            callback: function () {
                initEnv();
                $("#themeList").theme({ themeBase: "/content/jui/themes" });
            }
        });
    });
</script>
<table width="100%" class="list">
    <thead>
        <tr>
            <th>
                客户名称
            </th>
            <th>
                业务ID
            </th>
            <th>
                放款日期
            </th>
            <th>
                还款方式
            </th>
            <th>
                月利率
            </th>
            <th>
                贷款金额
            </th>
            <th>
                贷款期限
            </th>
            <th>
                身份证号
            </th>
            <th>
                手机号码
            </th>
            <th>
                项目经理
            </th>
            <th>
                还款计划
            </th>
            <th>
                还款记录
            </th>
        </tr>
    </thead>
    <tbody>
        <% 
            DataTable dt = Model.Result.Tables[0];
            foreach (DataRow d in dt.Rows)
            {
        %>
        <tr>
            <td>
                <%:d["客户名称"]%>
            </td>
            <td>
                <%:d["业务ID"]%>
            </td>
            <td>
                <%:d["放款日期"].ToString().Replace(" 0:00:00", "")%>
            </td>
            <td>
                <%:d["还款方式"]%>
            </td>
            <td>
                <%:d["月利率"]%>
            </td>
            <td>
                <%:d["贷款金额"]%>
            </td>
            <td>
                <%:d["贷款期限"]%>
            </td>
            <td>
                <%:d["idCard"]%>
            </td>
            <td>
                <%:d["phone"]%>
            </td>
            <td>
                <%:d["项目经理"]%>
            </td>
            <td>
                <a href="/loaninfo/repaymentscheme?bid=<%:d["业务ID"] %>&pageindex=1&pagesize=10" target="dialog" mask="true"
                            width="800" height="480">还款计划</a>
            </td>
            <td>
                <a href="/loaninfo/repaymentrecord?bid=<%:d["业务ID"] %>&pageindex=1&pagesize=10" target="dialog" mask="true"
                            width="800" height="480">还款记录</a>
            </td>
        </tr>
        <%} %>
    </tbody>
</table>
<!--分页-->
<div class="panelBar">
    <% Html.RenderPartial("~/Views/Shared/ListPager.ascx", Model); %>
</div>
