﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/jui.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    显示
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="layout" class="noNavTab">
        <div id="navTab">
            <h2 class="contentTitle">
                添加</h2>
            <div class="pageContent">
                <%  
                    using (Html.BeginForm("Add", "OperateTotal", new { dtnum = (int)Database.Web, name = DencryptHelper.Encrypt("Set_400Phones"), url = "/Sys/ListPhones" }, FormMethod.Post, new { @class = "pageForm required-validate", onsubmit = "return validateCallback(this,navTabAjaxDone)" }))
                    { %>
                <div class="pageFormContent nowrap" style="overflow: auto;">
                    <dl>
                        <dt>编号：</dt>
                        <dd>
                            <input class="textInput required" type="text" name="t0_SourceCode" /></dd>
                    </dl>
                    <dl>
                        <dt>名称：</dt>
                        <dd>
                            <input class="textInput required" type="text" name="t0_Descriptions" /></dd>
                    </dl>
                    <dl>
                        <dt>号码：</dt>
                        <dd>
                            <input class="textInput required" type="text" name="t0_PhoneNo" />
                        </dd>
                    </dl>
                    <dl>
                        <dt>中继号码：</dt>
                        <dd>
                            <input class="textInput required" type="text" name="t0_EnterNo" />
                        </dd>
                    </dl>
                    <dl>
                        <dt>&nbsp</dt>
                        <dd>
                            <button type="submit">
                                添加</button></dd>
                    </dl>
                </div>
                <%} %>
            </div>
            <h2 class="contentTitle">
                管理</h2>
            <div class="pageHeader">
                <div class="searchBar">
                    <table class="searchContent">
                        <tbody>
                            <tr>
                                <th>
                                    编号：
                                </th>
                                <td>
                                    <input class="textInput" type="text" id="SourceCode" />
                                </td>
                                <th>
                                    名称：
                                </th>
                                <td>
                                    <input class="textInput" type="text" id="Descriptions" />
                                </td>
                                <th>
                                    号码：
                                </th>
                                <td>
                                    <input class="textInput" type="text" id="PhoneNo" />
                                </td>
                                <th>
                                    中继号码：
                                </th>
                                <td>
                                    <input class="textInput" type="text" id="EnterNo" />
                                </td>
                                <th>
                                    状态：
                                </th>
                                <td>
                                    <%Html.RenderPartial("~/Views/BaseLibrary/ForStates.ascx"); %>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="subBar">
                        <ul>
                            <li>
                                <div class="buttonActive">
                                    <div class="buttonContent">
                                        <button onclick="loadList(0)">
                                            查询</button>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="pageContent">
                <div class="panelBar">
                    <ul class="toolBar">
                        <li><a class="edit" href='/Sys/EditPhones/{id}' target="editblank" rel="ids"><span>修改</span></a>
                        </li>
                    </ul>
                </div>
                <div id="listDt" class="pageContent">
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../content/jui-normal.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="/Scripts/list.js"></script>
    <script type="text/javascript" src="/Scripts/pager.js"></script>
    <script language="javascript" type="text/javascript">
        $(function () {
            loadList(0);
        });
        function loadList(i) {
            var htmlname = "listDt";
            var pars = $('#SourceCode').val() + "," + $('#Descriptions').val() + "," + $('#PhoneNo').val() + "," + $('#EnterNo').val();
            pars = encodeURI(pars);
            var name = "0_SourceCode__3,0_Descriptions__3,0_PhoneNo__3,0_EnterNo__3";
            var tName = '<%= DencryptHelper.Encrypt("Set_400Phones") %>';
            var control = "Shared/Sys/ListPhones";
            var datebase = "4";
            var states = $('#states').val();
            list(htmlname, pars, name, tName, control, datebase, states);
        }
    </script>
</asp:Content>
