﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PagedResult<DataSet>>" %>
<table class="table" id="listTB" width="100%">
    <% 
        Dictionary<string, string> dic = new Dictionary<string, string>();
        dic.Add("ValueName1", "");
        dic.Add("ValueName2", "");
        dic.Add("ValueName3", "");
        dic.Add("ValueName4", "");

        DataTable dt = Model.Result.Tables[0];
        if (dt.Rows.Count > 0)
        {
            string ClassId = dt.Rows[0]["ClassId"].ToString();
            List<Dictionary<string, object>> list_ibclasses = CommonBLL.GetList("Sys_IBClasses", "*", " id desc", string.Format("id='{0}' and IsValid=1", ClassId));
            if (list_ibclasses.Count > 0)
            {
                dic["ValueName1"] = list_ibclasses[0]["ValueName1"].ToString();
                dic["ValueName2"] = list_ibclasses[0]["ValueName2"].ToString();
                dic["ValueName3"] = list_ibclasses[0]["ValueName3"].ToString();
                dic["ValueName4"] = list_ibclasses[0]["ValueName4"].ToString();
            }
        }
    %>
    <thead>
        <tr>
            <th width="22">
                <input type="checkbox" group="ids" class="checkboxCtrl" />
            </th>
            <th>
                展开
            </th>
            <th>
                编号
            </th>
            <th>
                描述
            </th>
            <th>
                名称
            </th>
            <th>
                <%:dic["ValueName1"]%>
            </th>
            <th>
                <%:dic["ValueName2"]%>
            </th>
            <th>
                <%:dic["ValueName3"]%>
            </th>
            <th>
                <%:dic["ValueName4"]%>
            </th>
            <th>
                状态
            </th>
        </tr>
    </thead>
    <tbody>
        <%
            foreach (DataRow d in dt.Rows)
            {
                string href = string.Format("/SysMenu/List?menu=SysIBDDs&name=List&hostId={0}&pid={1}", d["ClassId"], d["id"]);
                string Description=d["Description"].ToString();
                if (Description.Length > 30)
                {
                    Description = Description.Substring(0, 30); 
                }
        %>
        <tr>
            <td>
                <input name="ids" value='<%:d["id"]%>' type="checkbox" />
            </td>
            <td>
                <a href='<%:href %>' >展开</a>
            </td>
            <td>
                <%:d["No"]%>
            </td>
            <td>
                <%:Description%>
            </td>
            <td>
                <%:d["Name"]%>
            </td>
            <td>
                <%:d["Value1"]%>
            </td>
            <td>
                <%:d["Value2"]%>
            </td>
            <td>
                <%:d["Value3"]%>
            </td>
            <td>
                <%:d["Value4"]%>
            </td>
            <td>
                <%=Convert.ToBoolean(d["isvalid"]) ? "启用" : "<font color=red>禁用</font>"%>
            </td>
        </tr>
        <%} %>
    </tbody>
</table>
<!--分页-->
<div class="panelBar">
    <% Html.RenderPartial("~/Views/Shared/ListPager.ascx", Model); %>
</div>
