﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/jui.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    人员
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="layout" class="noNavTab">
        <div id="navTab">
            <h2 class="contentTitle">
                人员</h2>
            <%
                string rturl = "/sysManage/list_4";
                using (Html.BeginForm("AddUser", "SysMenu", new { tname = DencryptHelper.Encrypt("Sys_IBUsers"), url = rturl }, FormMethod.Post, new { @class = "pageForm required-validate", onsubmit = "return validateCallback(this,navTabAjaxDone)" }))
                {   
            %>
            <div class="pageFormContent nowrap">
                <dl>
                    <dt>用户名：</dt>
                    <dd>
                        <%:Html.TextBox("t0_username", "", new { @class = "required textInput", maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>密码：</dt>
                    <dd>
                        <%:Html.Password("t0_password", "", new { @class = "required alphanumeric", minlength = 6, maxlength = 15, alt = "字母、数字、下划线 6-20位" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>人员名称：</dt>
                    <dd>
                        <%:Html.TextBox("t0_RealName", "", new { @class = "required textInput", maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>英文名：</dt>
                    <dd>
                        <%:Html.TextBox("t0_EnName", "", new { @class = " textInput", maxlength = "50" })%>
                    </dd>
                    <dt>拼音：</dt>
                    <dd>
                        <%:Html.TextBox("t0_spell", "", new { @class = "required textInput", maxlength = "25" })%>
                    </dd>
                    <dt>首字母：</dt>
                    <dd>
                        <%:Html.TextBox("t0_letter", "", new { @class = " textInput", maxlength = "10" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>性别：</dt>
                    <dd>
                        <label>
                        <input id="Radio1" name='t0_Sex' value='男' checked="checked" type="radio" />男
                        </label>
                        <label><input id="Radio2" name='t0_Sex' value='女' type="radio" />女</label>
                    </dd>
                </dl>
                <dl>
                    <dt>所属机构：</dt>
                    <dd>
                        <select class="combox " name="t0_Company">
                                <%Html.RenderPartial("~/Views/Shared/selectControl.ascx", sysManageBLL.get_fCompany()); %>
                        </select>
                    </dd>
                </dl>
                <dl>
                    <dt>人员照片：</dt>
                    <dd>
                        <a class="button" href="#" id="btnUpload"><span>上传图片</span></a>
                            <%:Html.Hidden("t0_Imgurl", "", new { @class = " textInput" })%>
                            <span id="showFileName"></span>
                    </dd>
                </dl>
                <dl>
                    <dt>人员编码：</dt>
                    <dd>
                        <%:Html.TextBox("t0_UserCode", "", new { @class = "required textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>职位名称：</dt>
                    <dd>
                        <%:Html.TextBox("t0_JobTitle", "", new { @class = "required textInput", maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>户籍：</dt>
                    <dd>
                        <%:Html.TextBox("t0_household", "", new { @class = "required textInput", maxlength = "50" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>身份证号：</dt>
                    <dd>
                        <%:Html.TextBox("t0_IdCard", "", new { @class = "required textInput", maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>手机：</dt>
                    <dd>
                        <%:Html.TextBox("t0_MOV", "", new { @class = "required textInput", maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>电话：</dt>
                    <dd>区号-号码-分机号</dd>
                    <dd>
                        <%:Html.TextBox("t0_TelArea", "", new { @class = "digits  textInput", maxlength = "25" })%>
                        <%:Html.TextBox("t0_Tel", "", new { @class = " textInput", maxlength = "50" })%>
                        <%:Html.TextBox("t0_TelExt", "", new { @class = "digits  textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>传真：</dt>
                    <dd>区号-号码-分机号</dd>
                    <dd>
                        <%:Html.TextBox("t0_FaxArea", "", new { @class = "digits  textInput", maxlength = "25" })%>
                        <%:Html.TextBox("t0_Fax", "", new { @class = " textInput", maxlength = "50" })%>
                        <%:Html.TextBox("t0_FaxExt", "", new { @class = "digits  textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>电子邮件：</dt>
                    <dd>
                        <%:Html.TextBox("t0_Email", "", new { @class = " textInput", size = 50, maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>状态：</dt>
                    <dd>
                        <label>
                        <input id="Radio3" name='t0_state' value='1' checked="checked" type="radio" />在职
                        </label>
                        <label><input id="Radio4" name='t0_state' value='0' type="radio" />离职</label>
                    </dd>
                </dl>
                <dl>
                    <dt>QQ号码：</dt>
                    <dd>
                        <%:Html.TextBox("t0_QQ", "", new { @class = " textInput", size = 50, maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>MSN：</dt>
                    <dd>
                        <%:Html.TextBox("t0_MSN", "", new { @class = " textInput", size = 50, maxlength = "15" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>入职日期：</dt>
                    <dd>
                        <input type="text" name="t0_DatesEmployed" class="date required" readonly="readonly" />
                        <a class="inputDateButton" href="javascript:;">选择</a>
                    </dd>
                </dl>
                <dl>
                    <dt>员工生日：</dt>
                    <dd>
                        <input type="text" name="t0_DateBirth" class="date required" readonly="readonly" />
                        <a class="inputDateButton" href="javascript:;">选择</a>
                    </dd>
                </dl>
                <dl>
                    <dt>备注信息：</dt>
                    <dd>
                        <%:Html.TextArea("t0_remarks", new { rows = "5", cols = "40", maxlength = "500" })%>
                    </dd>
                </dl>
                
                <dl>
                    <dt>&nbsp</dt>
                    <dd>
                        <div class="buttonActive">
                                <div class="buttonContent">
                                    <button type="submit">
                                        添加</button></div>
                            </div>
                    </dd>
                    <dd><a class="button" href='<%:rturl %>'><span>返回</span></a></dd>
                </dl>
            </div>
            <%} %>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../content/jui-normal.css" rel="stylesheet" type="text/css" />
    <link href="/content/colorbox.css" rel="stylesheet" type="text/css" />
    <script src="/scripts/jquery.colorbox.js" type="text/javascript"></script>
    <script type="text/javascript" src="/scripts/jquery.autocomplete.min.js"></script>
    <script src="../../../Scripts/common.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            createUpload('btnUpload', 't0_Imgurl', 'Dest_Img_Max_1', function () { showUploadImg($('#t0_Imgurl'), $('#showFileName'), '') });
        });
    </script>
</asp:Content>
