﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/jui.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    公司
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="layout" class="noNavTab">
        <div id="navTab">
            <h2 class="contentTitle">
                分公司</h2>
            <%
                Dictionary<string, object> d = Model;
                string url = "/sysManage/list_1?pid=0";
                using (Html.BeginEditForm(Database.Default, "Sys_Company", Convert.ToInt32(ViewData["id"]), url))
                {   
            %>
            <div class="pageFormContent nowrap">
                <input type="hidden" name="t0_tree" value='1' />
                <dl>
                    <dt>公司全称：</dt>
                    <dd>
                        <%:Html.TextBox("t0_fullName", d["fullName"].ToString(), new { @class = " textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>公司简称：</dt>
                    <dd>
                        <%:Html.TextBox("t0_CompanyName", d["CompanyName"].ToString(), new { @class = "required textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>上级机构：</dt>
                    <dd>
                        <select class="combox " name="t0_ParentId">
                                <%
                    ViewDataDictionary vdd = new ViewDataDictionary();
                    vdd.Add("selectId", d["ParentId"].ToString());
                                    Html.RenderPartial("~/Views/Shared/selectControl.ascx", sysManageBLL.get_zCompany(),vdd); %>
                        </select>
                    </dd>
                </dl>
                <dl>
                    <dt>经营地址：</dt>
                    <dd>
                        <%:Html.TextBox("t0_address", d["address"].ToString(), new { @class = "required textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>注册地址：</dt>
                    <dd>
                        <%:Html.TextBox("t0_register", d["register"].ToString(), new { @class = " textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>公司状态：</dt>
                    <dd>
                        <label>
                        <%:Html.RadioButton("t0_state", "0", !Convert.ToBoolean(d["state"]))%>暂停
                        </label>
                        <label><%:Html.RadioButton("t0_state", "1", Convert.ToBoolean(d["state"]))%>正常</label>
                    </dd>
                </dl>
                <dl>
                    <dt>所在地：</dt>
                    <dd>
                        <%:Html.TextBox("t0_area", d["area"].ToString(), new { @class = "digits textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>公司编码：</dt>
                    <dd>
                        <%:Html.TextBox("t0_CompanyCode", d["CompanyCode"].ToString(), new { @class = "required textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>法人：</dt>
                    <dd>
                        <%:Html.TextBox("t0_corporation", d["corporation"].ToString(), new { @class = "required textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>经营负责人：</dt>
                    <dd>
                        <%:Html.TextBox("t0_principal", d["principal"].ToString(), new { @class = "digits required textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>负责人手机：</dt>
                    <dd>
                        <%:Html.TextBox("t0_MobileNo", d["MobileNo"].ToString(), new { @class = "required textInput", maxlength = "50" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>邮政编码：</dt>
                    <dd>
                        <%:Html.TextBox("t0_postcode", d["postcode"].ToString(), new { @class = " textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>网址：</dt>
                    <dd>
                        <%:Html.TextBox("t0_Url", d["Url"].ToString(), new { @class = " textInput", size = 50, maxlength = "50" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>经营许可号：</dt>
                    <dd>
                        <%:Html.TextBox("t0_permit", d["permit"].ToString(), new { @class = "required textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>工商备案号：</dt>
                    <dd>
                        <%:Html.TextBox("t0_ICP", d["ICP"].ToString(), new { @class = "required textInput", size = 50, maxlength = "100" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>公司介绍：</dt>
                    <dd>
                        <%:Html.TextArea("t0_intro", d["intro"].ToString(), new { rows = "5", cols = "40", maxlength = "500" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>公司电话：</dt>
                    <dd>区号-号码-分机号</dd>
                    <dd>
                        <%:Html.TextBox("t0_TelArea", d["TelArea"].ToString(), new { @class = "digits required textInput", maxlength = "25" })%>
                        <%:Html.TextBox("t0_Tel", d["Tel"].ToString(), new { @class = "required textInput", maxlength = "50" })%>
                        <%:Html.TextBox("t0_TelExt", d["TelExt"].ToString(), new { @class = "digits  textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                
                <dl>
                    <dt>公司传真：</dt>
                    <dd>区号-号码-分机号</dd>
                    <dd>
                        <%:Html.TextBox("t0_FaxArea", d["FaxArea"].ToString(), new { @class = "digits  textInput", maxlength = "25" })%>
                        <%:Html.TextBox("t0_Fax", d["Fax"].ToString(), new { @class = " textInput", maxlength = "50" })%>
                        <%:Html.TextBox("t0_FaxExt", d["FaxExt"].ToString(), new { @class = "digits  textInput", maxlength = "25" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>公司logo：</dt>
                    <dd>
                        <a class="button" href="#" id="btnUpload"><span>上传图片</span></a>
                        <div id="hdImg1" class="showImgUrl">
                        <%
                    string imgUrl = d["logo"].ToString().Replace("-p", "");
                                if (!string.IsNullOrEmpty(imgUrl))
                            { %>
                                <span><img src='/<%:imgUrl %>'><a href="?" class="delImg" to="t0_logo">删除</a></span>
                            <%}
                                    %>
                            </div>
                            <%:Html.Hidden("t0_logo", imgUrl, new { @class = " textInput" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>备注信息：</dt>
                    <dd>
                        <%:Html.TextArea("t0_remark", d["remark"].ToString(), new { rows = "5", cols = "40", maxlength = "500" })%>
                    </dd>
                </dl>
                <dl>
                    <dt>&nbsp</dt>
                    <dd>
                        <div class="buttonActive">
                                <div class="buttonContent">
                                    <button type="submit">
                                        添加</button></div>
                            </div>
                    </dd>
                    <dd><a class="button" href='<%:url %>'><span>返回</span></a></dd>
                </dl>
            </div>
            <%} %>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../content/jui-normal.css" rel="stylesheet" type="text/css" />
    <link href="/content/colorbox.css" rel="stylesheet" type="text/css" />
    <script src="/scripts/jquery.colorbox.js" type="text/javascript"></script>
    <script type="text/javascript" src="/scripts/jquery.autocomplete.min.js"></script>
    <script src="../../../Scripts/common.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            createUpload('btnUpload', 't0_logo', 'Dest_Img_Max_1', function () { showUploadImg($('#t0_logo'), $('#hdImg1'), '') });

        });
    </script>
</asp:Content>
